<!-- index.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Basic E-Learning Website</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='styles.css') }}">
</head>
<style>
    h1 {text-align: center; color: #eaedf2;}
    h2 {text-align: center; color: #b11d22;}
</style>

<body>

    
    <style>
        a:link {
          color: rgb(149, 131, 116);
          background-color: transparent;
          text-decoration: none;
        }
        a:visited {
          color: rgb(198, 188, 179);
          background-color: transparent;
          text-decoration: none;
        }
        a:hover {
          color: rgb(146, 210, 244);
          background-color: transparent;
          text-decoration: underline;
        }
        a:active {
          color: rgb(235, 183, 64);
          background-color: transparent;
          text-decoration: underline;
        }
        </style>
    
    <div class="container" >
        <h1> Welcome to our E-Learning Platform!</h1>
        <h2 style=" text-align:left; text-indent: 50px;color: rgb(33, 163, 233);"> Available Courses:</h2>
    </div>
    <div class="child1" >
        
        <ul>
            
            {% for course in courses %}
                <li><a href="/course/{{ course.id }}">{{ course.title }}</a></li>
            {% endfor %}
        </ul>
    </div>
</body>

</html>
